<%= render 'form', tools_rca_list: @tools_rca_list %>

<hr>
<%= link_to fa_icon_add('icon-orange icon-margin') + t('rcas.rcas_list.new', rca: Rca.model_name.human), new_rca_path(rca: {tools_rca_list_id: @tools_rca_list.id, methodology_id: @default_methodology}), class: 'btn btn-outline-warning' %>
 <table data-tablesort='true' data-toggle="tablesort" class="tablesorter">
  <thead><tr>
    <th><%= Rca.human_attribute_name :reference %></th>
    <th><%= Rca.human_attribute_name :title %></th>
    <th><%= Rca.human_attribute_name :methodology %></th>
    <th><%= Rca.human_attribute_name :advance_step %></th>
    <th></th>
  </tr></thead>
  <tbody>
  <% @tools_rca_list.rcas&.each do |rca| %>
    <tr>
      <td><%= rca.reference %></td>
      <td>
        <%= link_to edit_rca_path(rca) do %>
          <%= rca.title %>
          <%= fa_icon_edit %>
        <% end %>
      </td>
      <td><%= rca.methodology.name %></td>
      <td><%= rca.advance_step_name %></td>
      <td><%= link_to fa_icon_delete, rca, method: :delete, data: { confirm: t('confirm.sure') } %></td>
    </tr>
  <% end %>
  </tbody>
</table>

